"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAllFilesFromDir = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const parentDirectory = path_1.default.resolve(__dirname, '..');
/**
 *
 * @param {string} dirPath
 * @param {Array<string>} arrayOfFiles
 * @returns {Array<string>}
 */
const getAllFilesFromDir = (dirPath, arrayOfFiles = []) => {
    const files = fs_1.default.readdirSync(dirPath);
    files.forEach((file) => {
        if (fs_1.default.statSync(dirPath + path_1.default.sep + file).isDirectory()) {
            arrayOfFiles = exports.getAllFilesFromDir(dirPath + path_1.default.sep + file, arrayOfFiles);
        }
        else {
            arrayOfFiles.push((dirPath + path_1.default.sep + file).split(parentDirectory + path_1.default.sep).pop());
        }
    });
    return arrayOfFiles;
};
exports.getAllFilesFromDir = getAllFilesFromDir;
//# sourceMappingURL=getAllFilesFromDir.js.map